                      Computer Science 825
                         Quiz 6              Name _______________________

1. Wide area networking requires both routing (switching) technologies
   and long haul transport technologies. The relationship between
   SONET and ATM in emerging long haul networks is:

   a. Both are competing switching     b. SONET is a routing technology
      technolgies                         but ATM is a transport technology

   c. ATM is a routing technology      d. Both are competing long haul
      but SONET is a long haul            transport technologies
      transport technology


2. Three methods of datalink framing that we discussed were:
   bit stuffing, byte stuffing, and byte count. What was the other?




3. Suppose the following bit sequence is subject to SDLC style
   bit stuffing.. How many bits will actually be transmitted?

                        2         1
                  65432109876543210987654321
                  --------------------------
    Last bit -->  11100111111101111011111000 <- First bit transmitted



4. Suppose a 15 bit codeword with ODD parity is being used in a
   single bit hamming ECC.  Suppose the  following codeword is
   received.

      X  X  0     1  0  1     1  1  1  0  0  1  1
      --------------------------------------------
      1  2  3  4  5  6  7  8  9 10 11 12 13 14 15

   a. Fill in the  missing ECC bits above ..



   b. Suppose a single bit Hamming ECC is to be performed on a
      1023 bit codeword.  How many bits are in each of the 10
      parity checked groups (include the parity bit itself).



   c. Suppose a two bit error occurs. Circle the correct description
      of the result.

      1. The fact that there is a two error can be detected, but the
         error can't be corrected.

      2. The two error will be undetected and the value that results
         from the correction process will be a legal code word but it
         will be the wrong one.

      3. The two error will be undetected and the corrected value will
         be either the wrong codeword or it might be the correct codeword.

      4. The two error will be undetected and the corrected value MAY
         be an illegal code word.

    c. What is the minimum Hamming distance of a code that is capable
       of doing triple bit error detection NNOOTT CCOORREECCTTIIOONN!!




6. Suppose 1800 bit code words are to be transmitted and it is desired
   to use a Hamming code to correct single error bursts of up to 30 bits.
   How many of the 1800 bits must be used for ECC. (Hint: Fractional
   bit based strategies are not encouraged!)




7. In the channel allocation strategy known as Crowther's method all
   packet slots are initially contention slots and a station that
   successfully transmits in a slot own's it the next group.  Which
   of the following is NOT an advantage of using Crowther's method.

   a. Under heavy loads it is possible    b. It is not necessary to
      to support much higher throughput      know the number of competing
      than with Aloha.                       stations in advance.

   c. Like TDM it automatically ensures   d. All of the above ARE
      that slots will be exactly evenly      advantages
      divided among all stations.


